<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Scripting3;

interface ParserExportadapter
{
  
  public function addUsedVariable(string $varname, bool $isInCondition): void;

  
  public function getVarValue($str, $export, ?array $filter = null);

  
  public function getStack(): array;

  
  public function getAryValue($stack, array $nameUndParam, ?array $filter = null);

  
  public function getAryValueForceArray($stack, array $nameUndParam, ?array $filter = null);
}